## org.apache.tools.ant.taskdefs
Class Ear

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.MatchingTask
                        |
                        +--org.apache.tools.ant.taskdefs.Zip
                              |
                              +--org.apache.tools.ant.taskdefs.Jar
                                    |
                                    +--org.apache.tools.ant.taskdefs.Ear

All Implemented Interfaces:
  SelectorContainer

public class Ear
extends Jar

Creates a EAR archive. Based on WAR task

Since:
  Ant 1.4
Author:
  Stefan Bodewig, Les Hughes

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.Jar
`Jar.FilesetManifestConfig`

Nested classes inherited from class org.apache.tools.ant.taskdefs.Zip
`Zip.ArchiveState, Zip.Duplicate, Zip.WhenEmpty`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Zip
`addedDirs, archiveType, duplicate, emptyBehavior, entries, zipFile`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Ear()` Create an Ear task.

Method Summary
`void` `addArchives(ZipFileSet fs)` Adds zipfileset.
`protected void` `cleanUp()` Make sure we don't think we already have a application.xml next time this task gets executed.
`protected void` `initZipOutputStream(ZipOutputStream zOut)` method for subclasses to override
`void` `setAppxml(java.io.File descr)` File to incorporate as application.xml.
`void` `setEarfile(java.io.File earFile)` Deprecated. Use setDestFile(destfile) instead
`protected void` `zipFile(java.io.File file, ZipOutputStream zOut, java.lang.String vPath, int mode)` Overriden from Zip class to deal with application.xml

Methods inherited from class org.apache.tools.ant.taskdefs.Jar
`addConfiguredManifest, addMetainf, createEmptyZip, finalizeZipOutputStream, getResourcesToAdd, reset, setIndex, setJarfile, setManifest, setManifestEncoding, setWhenempty, zipFile`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`addFileset, addParentDirs, addResources, addZipfileset, addZipGroupFileset, execute, getDestFile, getEncoding, grabResources, isAddingNewFiles, isCompress, isEmpty, isInUpdateMode, setBasedir, setCompress, setDestFile, setDuplicate, setEncoding, setFile, setFilesonly, setUpdate, setZipfile, zipDir`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ear

    public Ear()

  Create an Ear task.

Method Detail

### setEarfile

    public void setEarfile(java.io.File earFile)

  Deprecated. Use setDestFile(destfile) instead

### setAppxml

    public void setAppxml(java.io.File descr)

  File to incorporate as application.xml.

### addArchives

    public void addArchives(ZipFileSet fs)

  Adds zipfileset.

  Parameters:
    `fs` - zipfileset to add

### initZipOutputStream

    protected void initZipOutputStream(ZipOutputStream zOut)
                                throws java.io.IOException,
                                       BuildException

  Description copied from class: `Zip`
  method for subclasses to override

  Overrides:
    `initZipOutputStream` in class `Jar`
    `java.io.IOException`
    `BuildException`

### zipFile

    protected void zipFile(java.io.File file,
                           ZipOutputStream zOut,
                           java.lang.String vPath,
                           int mode)
                    throws java.io.IOException

  Overriden from Zip class to deal with application.xml

  Overrides:
    `zipFile` in class `Zip`
  Parameters:
    `file` - the file to add to the archive
    `zOut` - the stream to write to
    `vPath` - the name this entry shall have in the archive
    `mode` - the Unix permissions to set.
    `java.io.IOException`

### cleanUp

    protected void cleanUp()

  Make sure we don't think we already have a application.xml next time this task gets executed.

  Overrides:
    `cleanUp` in class `Jar`
  See Also:
    `Zip.cleanUp()`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.